package com.lovecoding.day12.interface01;

//接口
public interface Usb {

    //常量 public static final 可以省略
    public static final int MAX_INPUT_NUMBER = 1024*1024*10 ;

    //抽象方法 public abstract 省略
    public abstract void in();
    public abstract void out();

    //静态方法 public省略
    public static void show(){
        System.out.println("usb 数据传输很快");
    }
    //默认方法 default
    default void start(){
        System.out.println("开始");
    }
    //默认方法 default
    default void end(){
        System.out.println("结束");
    }
    //私有方法
    private void get(){
        System.out.println("usb");
    }

}
